Simulator Fast Buy / Sell

This API is used to create multi-chain fast buy and sell tasks in simulator

Body Params
string
required

Blockchain (solana/ethereum/base/bsc/tron)

string
required

Address of the token or pair to be bought/sold

string

The simulator's walletId defaults to ""

string
required

Trade type, with values of buy and sell

number
required

When trade type is buy, fill in the buy amount (ETH/SOL/BNB/TRX), when tradeType is sell, fill in the sell ratio (0-1)

number

Take Profit ratio, 0.5 means sell when 50% up, "null" means take profit is disabled

number

Stop Loss ratio (0.00-1.00), 0.5 means sell when 50% down, "null" means stop loss is disabled

stopEarnGroup
array of objects

Take profit group, available when the type is "buy", up to 6 supported, “null” means take profit is disabled, if both "stopEarnGroup" and "stopEarnPercent" are set at the same time, "stopEarnPercent" will be ignored

stopEarnGroup
stopLossGroup
array of objects

Stop loss group, available when the type of fast buy / sell is "buy", and in the sell setting of the copy trading, up to 6 supported, “null” means stop loss is disabled, if both "stopLossGroup" and "stopLossPercent" are set at the same time, "stopLossPercent" will be ignored

stopLossGroup
number
required

Priority Fee (SOL), valid for Solana, empty string means use auto priority fee

number
required

Extra added gas (Gwei), valid for EVM

number
required

When the base gas exceeds this value, no transaction will execute (Gwei), valid for EVM chains

number

MAX slippage tolerance (0.00-1.00), when buying, it represents the difference between the actual price and the expected price. When selling, it represents the difference between the expected price and the actual price, the difference multiplier = 1/(1-slippage), 0.5 means a maximum of 2 times the accepted spread, 1 means unlimited spreads

Response

Language
Request
Response
Choose an example:
application/json